"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CacheProxy = (function () {
    function CacheProxy(backend) {
        this.cache = {};
        this.backend = backend;
    }
    CacheProxy.prototype.has = function (key) {
        if (typeof this.cache[key] !== "undefined") {
            return true;
        }
        return this.backend.has(key);
    };
    CacheProxy.prototype.set = function (key, value) {
        this.cache[key] = value;
        this.backend.set(key, value);
    };
    CacheProxy.prototype.get = function (key) {
        if (typeof this.cache[key] !== "undefined") {
            return this.cache[key];
        }
        return this.backend.get(key);
    };
    return CacheProxy;
}());
exports.default = CacheProxy;
//# sourceMappingURL=CacheProxy.js.map