"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LocalStorageBackend = (function () {
    function LocalStorageBackend() {
    }
    LocalStorageBackend.prototype._available = function () {
        try {
            return "localStorage" in window && window["localStorage"] !== null;
        }
        catch (e) {
            return false;
        }
    };
    LocalStorageBackend.prototype.has = function (key) {
        if (!this._available()) {
            return false;
        }
        return typeof localStorage[key] === "string";
    };
    LocalStorageBackend.prototype.set = function (key, value) {
        if (!this._available()) {
            return;
        }
        var compressed = JSON.stringify(value);
        do {
            try {
                localStorage.setItem(key, compressed);
                break;
            }
            catch (e) {
                try {
                    localStorage.removeItem(localStorage.key(0));
                }
                catch (e) {
                    break;
                }
            }
        } while (localStorage.length);
    };
    LocalStorageBackend.prototype.get = function (key) {
        if (!this._available()) {
            return null;
        }
        return JSON.parse(localStorage[key]);
    };
    return LocalStorageBackend;
}());
exports.default = LocalStorageBackend;
//# sourceMappingURL=LocalStorageBackend.js.map